package mapped;

import java.lang.management.GarbageCollectorMXBean;
import net.runelite.mapping.ObfuscatedName;
import net.runelite.mapping.ObfuscatedSignature;
import net.runelite.rs.api.RSUserComparator10;

@ObfuscatedName("eu")
public class UserComparator10 extends AbstractUserComparator implements RSUserComparator10 {
   @ObfuscatedName("bc")
   static GarbageCollectorMXBean garbageCollector;
   @ObfuscatedName("qw")
   @ObfuscatedSignature(
      descriptor = "[Lnn;"
   )
   static Widget[] field1453;
   @ObfuscatedName("at")
   final boolean reversed;

   public UserComparator10(boolean var1) {
      this.reversed = var1;
   }

   @ObfuscatedName("at")
   @ObfuscatedSignature(
      descriptor = "(Lrh;Lrh;I)I",
      garbageValue = "-1398324092"
   )
   int method2996(Buddy var1, Buddy var2) {
      return Client.worldId == var1.world && var2.world == Client.worldId?(this.reversed?var1.int2 - var2.int2:var2.int2 - var1.int2):this.method8173(var1, var2);
   }

   public int compare(Object var1, Object var2) {
      return this.method2996((Buddy)var1, (Buddy)var2);
   }

   @ObfuscatedName("kt")
   @ObfuscatedSignature(
      descriptor = "(I)V",
      garbageValue = "-2060260259"
   )
   static void addCancelMenuEntry_base() {
      class160.method3434_base();
      Client.menuActions[0] = "Cancel";
      Client.menuTargets[0] = "";
      Client.menuOpcodes[0] = 1006;
      Client.menuShiftClick[0] = false;
      Client.menuOptionsCount = 1;
      Client.onMenuOptionsChanged(-1);
   }
}
